%define momorel 2
%define py_ver %(python -c 'import sys;print(sys.version[0:3])')
%global realname gnome-python-desktop
%global md5_src ce1b1c095a69c2656177570a2939fabb

Summary: The sources for additional PyGNOME Python extension modules for the GNOME desktop.
Name: gnome-python2-desktop
Version: 2.18.0
Release: %{momorel}m%{?dist}
URL: http://www.gnome.org/
%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{realname}/2.18/%{realname}-%{version}.tar.bz2 %{md5_src}

License: LGPL
Group: Development/Languages
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: gnome-python2
BuildPrereq: pygtk2 >= 2.10.4
BuildPrereq: gnome-python2 >= 2.18.0
BuildPrereq: gnome-panel-devel >= 2.18.0
BuildPrereq: libgnomeprint22-devel >= 2.18.0
BuildPrereq: libgnomeprintui22-devel >= 2.18.0
BuildPrereq: gtksourceview-devel >= 1.8.5
BuildRequires: libwnck-devel >= 2.18.0
BuildRequires: totem-devel >= 2.18.0
BuildRequires: libgtop2-devel >= 2.14.8
BuildRequires: nautilus-cd-burner-devel >= 2.18.0
BuildRequires: gnome-media-devel >= 2.18.0
BuildRequires: librsvg2-devel >= 2.16.1
BuildRequires: pycairo-devel >= 1.2.6
BuildRequires: metacity-devel >= 2.18.0
BuildRequires: gnome-keyring-devel >= 0.8
BuildRequires: gnome-desktop-devel >= 2.18.0
BuildPrereq: gtk2-devel >= 2.10.9
BuildPrereq: glib2-devel >= 2.12.9
BuildRequires: python-devel >= %{pyver}
BuildRequires: bug-buddy >= 2.18.0

Provides: %{realname}
Obsoletes: %{realname}

%description
The gnome-python-desktop package contains the source packages for additional
Python bindings for GNOME. It should be used together with gnome-python.

%package applet
Version: %{version}
Summary: Python bindings for GNOME Panel applets.
Group: Development/Languages
Requires: %{name} = %{version}-%{release}

Provides: %{realname}-applet
Obsoletes: %{realname}-applet
 
%description applet
This module contains a wrapper that allows GNOME Panel applets to be
written in Python.
 
%package bug-buddy
Version: %{version}
Summary: Python bindings for GNOME Bug-buddy
Group: Development/Languages
Requires: %{name} = %{version}-%{release}
Requires: bug-buddy

%description bug-buddy
This module contains a wrapper that allows the use of bug-buddy via
Python.


%package gnomeprint
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for interacting with libgnomeprint
Group: Development/Languages
Requires: libgnomeprint22, libgnomeprintui22

Provides: %{realname}-gnomeprint
Obsoletes: %{realname}-gnomeprint

%description gnomeprint
This module contains a wrapper that allows the use of libgnomeprint via
Python.


%package gtksourceview
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for interacting with the gtksourceview library
Group: Development/Languages
Requires:  gtksourceview
Requires: gnome-python2-desktop-gnomeprint

Provides: %{realname}-gtksourceview
Obsoletes: %{realname}-gtksourceview

%description gtksourceview
This module contains a wrapper that allows the use of gtksourceview via
Python.


%package libwnck
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for interacting with libwnck
Group: Development/Languages
Requires:  libwnck

Provides: %{realname}-libwnck
Obsoletes: %{realname}-libwnck

%description libwnck
This module contains a wrapper that allows the use of libwnck via
Python.


%package libgtop
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for interacting with libgtop
Group: Development/Languages
Requires:  libgtop2

Provides: %{realname}-libgtop
Obsoletes: %{realname}-libgtop

%description libgtop
This module contains a wrapper that allows the use of libgtop via
Python.


%package nautilus-cd-burner
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for interacting with nautilus-cd-burner
Group: Development/Languages
Requires:  nautilus-cd-burner >= 2.14.0.2

Provides: %{realname}-nautilus-cd-burner
Obsoletes: %{realname}-nautilus-cd-burner

%description nautilus-cd-burner
This module contains a wrapper that allows the use of nautilus-cd-burner
via Python.


%package metacity
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for interacting with metacity
Group: Development/Languages
Requires:  metacity >= 2.14.1

Provides: %{realname}-metacity
Obsoletes: %{realname}-metacity

%description metacity
This module contains a wrapper that allows the use of metacity
via Python.

%package totem
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for interacting with totem
Group: Development/Languages

Provides: %{realname}-totem
Obsoletes: %{realname}-totem

%description totem
This module contains a wrapper that allows the use of totem
via Python.


%prep
%setup -q -n %{realname}-%{version}
 
%build
%configure --enable-metacity
#    CFLAGS=-I%{_includedir}/totem/1/plparser/
%make
 
%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -name '*.la' -delete

rm -rf %{buildroot}/%{_libdir}/python%{py_ver}/site-packages/gtk-2.0/gksu

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS
%{_libdir}/pkgconfig/gnome-python-desktop-2.0.pc
%{_datadir}/pygtk/2.0/defs/*
%{_libdir}/python%{py_ver}/site-packages/gtk-2.0/gnomedesktop
%{_libdir}/python%{py_ver}/site-packages/gtk-2.0/gnomekeyring.so
%{_libdir}/python%{py_ver}/site-packages/gtk-2.0/rsvg.so

%files applet
%defattr(-,root,root,-)
%dir %{_libdir}/python%{py_ver}/site-packages/gtk-2.0/gnome/applet.*
%{_libdir}/python%{py_ver}/site-packages/gtk-2.0/gnomeapplet.so

%files bug-buddy
%defattr(-,root,root,-)
%{_libdir}/python%{py_ver}/site-packages/gtk-2.0/bugbuddy.py*

%files gnomeprint
%defattr(-,root,root,-)
%{_libdir}/python%{py_ver}/site-packages/gtk-2.0/gnomeprint/
%{_datadir}/gtk-doc/html/pygnomeprint
%{_datadir}/gtk-doc/html/pygnomeprintui
%defattr(644,root,root,755)
%doc ../gnome-python-desktop-%{version}/examples/gnomeprint/*


%files gtksourceview
%defattr(-,root,root,-)
%{_libdir}/python%{py_ver}/site-packages/gtk-2.0/gtksourceview.so
%{_datadir}/gtk-doc/html/pygtksourceview
%defattr(644,root,root,755)
%doc ../gnome-python-desktop-%{version}/examples/gtksourceview/*


%files libwnck
%defattr(-,root,root,-)
%{_libdir}/python%{py_ver}/site-packages/gtk-2.0/wnck.so


%files libgtop
%defattr(-,root,root,-)
%{_libdir}/python%{py_ver}/site-packages/gtk-2.0/gtop.so


%files nautilus-cd-burner
%defattr(-,root,root,-)
%{_libdir}/python%{py_ver}/site-packages/gtk-2.0/nautilusburn.so
%defattr(644,root,root,755)
%doc ../gnome-python-desktop-%{version}/examples/nautilusburn/*


%files metacity
%defattr(-,root,root,-)
%{_libdir}/python%{py_ver}/site-packages/gtk-2.0/metacity.so


%files totem
%defattr(-,root,root,-)
%{_libdir}/python%{py_ver}/site-packages/gtk-2.0/mediaprofiles.so
%{_libdir}/python%{py_ver}/site-packages/gtk-2.0/totem


%ChangeLog
* Fri Apr  6 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.18.0-2m)
- fix Provides and Obsoletes for upgrading from STABLE_3

* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-1m)
- update to 2.18.0

* Thu Mar  1 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.93-1m)
- update to 2.17.93

* Mon Feb 26 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.92-1m)
- update to 2.17.92

* Mon Feb 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.4-2m)
- add package bug-buddy

* Sat Feb 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.3-1m)
- update to 2.17.3 (unstable)

* Sat Feb  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-3m)
- rename gnome-python-desktop -> gnome-python2-desktop

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.16.0-2m)
- rebuild against python-2.5

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-1m)
- updateo to 2.16.0

* Wed Jun  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.0-2m)
- delete duplicated files

* Wed Apr 12 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.14.0-1m)
- version 2.14.0
- first import from Fedora Core 5
